
# AWS Playground for cloud penetration testing

This is an AWS CDK Python project that deploys vulnerable AWS resources for pentesting.

To manually create a virtualenv on MacOS and Linux:

```
$ python3 -m venv .env
```

After the init process completes and the virtualenv is created, you can use the following
step to activate your virtualenv.

```
$ source .env/bin/activate
```

If you are a Windows platform, you would activate the virtualenv like this:

```
% .env\Scripts\activate.bat
```

Once the virtualenv is activated, you can install the required dependencies.

```
$ pip install -r requirements.txt
```

At this point you can now deply the code to your AWS account. 
Make sure to have appropriate IAM resources for instantiating the resources needed.

```
$ cdk deploy
```
